#!/bin/sh
set -x
set -e
cmd=$1; shift
netns=$1; shift

case $cmd in
	up)
		ip link add name veth-pub type veth \
		  peer name eth0 address 02:5d:26:75:68:4a netns "$netns"
		ip link set dev veth-pub master br0

		# We used to set this to 0, set it to 1 during
		# transition. Remove later.
		ip netns exec "$netns" sysctl net.ipv6.conf.eth0.accept_ra_defrtr=1

		ip -netns "$netns" addr add dev eth0 10.10.10.148/24
		ip -netns "$netns" token set dev eth0 ::1a57

		ip link set dev veth-pub up
		ip -netns "$netns" link set dev eth0 up

                # Must be after up or the nethop is not accepted as onlink
                ip -netns "$netns" route replace default via 10.92.30.1 || true
                ip -netns "$netns" route replace default via 10.10.20.254 || true
		;;

	down)
		ip -netns "$netns" link del eth0
		;;
esac

ip netns exec "$netns" wg-quick "$cmd" baba-pub4
